package ru.dbotthepony.kstarbound.server

import ru.dbotthepony.kstarbound.client.StarboundClient
import java.io.Closeable
import java.io.File

class IntegratedStarboundServer(val client: StarboundClient, root: File) : StarboundServer(root), Closeable {
	init {
		channels.createLocalChannel()
	}

	override fun tick0() {
		if (client.shouldTerminate) {
			close()
		}
	}

	override fun close0() {

	}
}
